package com.zcloud.zcGbsServicer.domain.gateway;

import com.zcloud.zcGbsServicer.domain.model.ResourcePersonE;

import java.util.List;

/**
* web-domain
* @Author makejava
* @Date 2026-01-21 17:23:34
*/
public interface ResourcePersonGateway {

    /**
    * 新增
    */
    Boolean add(ResourcePersonE resourcePersonE) ;

    /**
     * 批量新增
     */
    Boolean addBatch(List<ResourcePersonE> resourcePersonEList);


    /**
    * 修改
    */
    Boolean update(ResourcePersonE resourcePersonE);

    /**
    * 删除
    */
    Boolean deletedResourcePersonById(Long id);
    Boolean deletedResourcePersonByIds(Long[] id);

    /**
     * 根据资源ID删除人员
     */
    Boolean deletedResourcePersonByBizId(String bizId, Integer bizType);

}

